## Apache Zeta Components Manual :: Docs For Class ezcGraphDatabaseException

### GraphDatabaseTiein::ezcGraphDatabaseException

### Class ezcGraphDatabaseException

General exception container for the GraphDatabaseTiein component.

Source for this file: /GraphDatabaseTiein/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcGraphDatabaseException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcGraphDatabaseTooManyColumnsException | Exception thrown if a data set has too many columns for a key value association.
ezcGraphDatabaseMissingColumnException | Exception thrown if a requetsted column could not be found in result set
ezcGraphDatabaseStatementNotExecutedException | Exception thrown if a given statement has not been executed.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3